## GntButton GntButton — A widget that can be activated |

## Functions

GType | gnt_button_get_gtype ()
GntWidget * | gnt_button_new ()
void | gnt_button_set_text ()
const gchar * | gnt_button_get_text ()

## Types and Values

struct | GntButtonPriv
struct | GntButton

## Description

## Functions

### gnt_button_get_gtype ()

    GType
    gnt_button_get_gtype (void);

#### Returns

GType for Gntbutton

### gnt_button_new ()

    GntWidget *
    gnt_button_new (const char *text);

Create a new button.

#### Parameters

text | The text for the button. |

#### Returns

The newly created button.

### gnt_button_set_text ()

    void
    gnt_button_set_text (GntButton *button,
                         const gchar *text);

Set the text of a button.

#### Parameters

button | The button. |
text | The text for the button. |

Since: 2.14.0

### gnt_button_get_text ()

    const gchar *
    gnt_button_get_text (GntButton *button);

Get the text of a button.

#### Parameters

button | The button. |

#### Returns

The text for the button.

Since: 2.14.0

## Types and Values

### struct GntButtonPriv

    struct GntButtonPriv {
    	char *GNTSEAL(text);
    };

`GntButtonPriv` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### struct GntButton

    struct GntButton {
    	GntWidget parent;

    	struct _GntButtonPriv *GNTSEAL(priv);
    };

Access to any fields is deprecated. See inline comments for replacements.

## See Also

GntCheckBox